<template>
  <div class="flex flex-col">
    <div class="overflow-x-auto">
      <div class="py-2 px-2 align-middle inline-block min-w-full">
        <div
          class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg"
        >
          <table class="min-w-full divide-y divide-gray-200">
            <thead class="bg-gray-50">
              <slot name="header">
                <tr>
                  <th
                    v-for="(header, index) in headers"
                    :key="index"
                    scope="col"
                    class="px-6 py-3 text-xs font-medium text-gray-500 uppercase tracking-wider"
                    :class="{ centerHeader: 'text-center' }"
                  >
                    {{ header }}
                  </th>
                </tr>
              </slot>
            </thead>
            <tbody class="bg-white divide-y divide-gray-200">
              <slot name="body"></slot>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'appTable',
  props: {
    headers: { type: Array, default: () => [] },
    centerHeader: { type: Boolean, default: false },
  },
  data: () => ({}),
};
</script>

<style></style>
